Install automation recipe
curl --request POST \
--url https://melso.ai/api/automation-recipes/{recipeKey}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"area_id": "<string>",
"harness": "<string>",
"title": "<string>",
"prompt": "<string>",
"cron_expression": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://melso.ai/api/automation-recipes/{recipeKey}/install"
payload = {
"idempotency_key": "<string>",
"area_id": "<string>",
"harness": "<string>",
"title": "<string>",
"prompt": "<string>",
"cron_expression": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
area_id: '<string>',
harness: '<string>',
title: '<string>',
prompt: '<string>',
cron_expression: '<string>',
model: '<string>',
thinking_level: '<string>',
service_tier: '<string>',
timezone: '<string>'
})
};
fetch('https://melso.ai/api/automation-recipes/{recipeKey}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automation-recipes/{recipeKey}/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'area_id' => '<string>',
'harness' => '<string>',
'title' => '<string>',
'prompt' => '<string>',
'cron_expression' => '<string>',
'model' => '<string>',
'thinking_level' => '<string>',
'service_tier' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automation-recipes/{recipeKey}/install"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/automation-recipes/{recipeKey}/install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automation-recipes/{recipeKey}/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"catalog_version": "<string>",
"recipe_key": "<string>",
"created": true,
"automation": {
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"source_recipe_key": "<string>",
"execution_owner_id": "<string>",
"status": "<string>",
"pause_reason": "<string>",
"task_title_template": "<string>",
"created_by_type": "<string>",
"created_by_id": "<string>",
"last_invoked_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>",
"delivery": "<string>",
"created_at": "<string>"
}
],
"my_delivery": "<string>",
"trigger_kinds": [
"<string>"
],
"next_fire_at": "<string>",
"last_invocation_status": "<string>",
"can_write": true,
"can_manage_access": true
},
"trigger": {
"company_commit_sha": "<string>",
"id": "<string>",
"automation_id": "<string>",
"kind": "<string>",
"enabled": true,
"cron_expression": "<string>",
"timezone": "<string>",
"next_fire_at": "<string>",
"webhook_token": "<string>",
"webhook_path": "<string>",
"webhook_url": "<string>",
"provider": "<string>",
"has_signing_secret": true,
"signing_secret_hint": "<string>",
"label": "<string>",
"last_fired_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"integration_trigger": {
"toolkit_slug": "<string>",
"connected_account_id": "<string>",
"trigger_slug": "<string>",
"trigger_config": {}
},
"integration_status": "<string>",
"integration_error": "<string>",
"provider_trigger_id": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
},
"execution": {
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Automations
Install automation recipe
Workspace member with access to this resource.
Request: InstallAreaRecipeRequest below. area_id:UUID, harness:string select the destination. Optional title/prompt/schedule/model overrides and idempotency_key:string.
Response: InstallAreaRecipeResponse.
Status: 201 created; 200 existing; 400 invalid recipe/options; 403 company write denied; 409 saved but not activated. Authentication and resource-access errors follow Overview.
POST
/
api
/
automation-recipes
/
{recipeKey}
/
install
Install automation recipe
curl --request POST \
--url https://melso.ai/api/automation-recipes/{recipeKey}/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"area_id": "<string>",
"harness": "<string>",
"title": "<string>",
"prompt": "<string>",
"cron_expression": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://melso.ai/api/automation-recipes/{recipeKey}/install"
payload = {
"idempotency_key": "<string>",
"area_id": "<string>",
"harness": "<string>",
"title": "<string>",
"prompt": "<string>",
"cron_expression": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
area_id: '<string>',
harness: '<string>',
title: '<string>',
prompt: '<string>',
cron_expression: '<string>',
model: '<string>',
thinking_level: '<string>',
service_tier: '<string>',
timezone: '<string>'
})
};
fetch('https://melso.ai/api/automation-recipes/{recipeKey}/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/automation-recipes/{recipeKey}/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'area_id' => '<string>',
'harness' => '<string>',
'title' => '<string>',
'prompt' => '<string>',
'cron_expression' => '<string>',
'model' => '<string>',
'thinking_level' => '<string>',
'service_tier' => '<string>',
'timezone' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/automation-recipes/{recipeKey}/install"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/automation-recipes/{recipeKey}/install")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/automation-recipes/{recipeKey}/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"area_id\": \"<string>\",\n \"harness\": \"<string>\",\n \"title\": \"<string>\",\n \"prompt\": \"<string>\",\n \"cron_expression\": \"<string>\",\n \"model\": \"<string>\",\n \"thinking_level\": \"<string>\",\n \"service_tier\": \"<string>\",\n \"timezone\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"catalog_version": "<string>",
"recipe_key": "<string>",
"created": true,
"automation": {
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"source_recipe_key": "<string>",
"execution_owner_id": "<string>",
"status": "<string>",
"pause_reason": "<string>",
"task_title_template": "<string>",
"created_by_type": "<string>",
"created_by_id": "<string>",
"last_invoked_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"subscribers": [
{
"user_type": "<string>",
"user_id": "<string>",
"delivery": "<string>",
"created_at": "<string>"
}
],
"my_delivery": "<string>",
"trigger_kinds": [
"<string>"
],
"next_fire_at": "<string>",
"last_invocation_status": "<string>",
"can_write": true,
"can_manage_access": true
},
"trigger": {
"company_commit_sha": "<string>",
"id": "<string>",
"automation_id": "<string>",
"kind": "<string>",
"enabled": true,
"cron_expression": "<string>",
"timezone": "<string>",
"next_fire_at": "<string>",
"webhook_token": "<string>",
"webhook_path": "<string>",
"webhook_url": "<string>",
"provider": "<string>",
"has_signing_secret": true,
"signing_secret_hint": "<string>",
"label": "<string>",
"last_fired_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"integration_trigger": {
"toolkit_slug": "<string>",
"connected_account_id": "<string>",
"trigger_slug": "<string>",
"trigger_config": {}
},
"integration_status": "<string>",
"integration_error": "<string>",
"provider_trigger_id": "<string>",
"event_filters": [
{
"event": "<string>",
"actions": [
"<string>"
]
}
]
},
"execution": {
"area_id": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
recipeKey from the corresponding authorized response.
Body
application/json